org.eclipse.emf.cdo.admin

## Interface CDOAdminClientManager

- All Superinterfaces:
    IContainer<CDOAdminClient>, INotifier

      public interface CDOAdminClientManager
      extends IContainer<CDOAdminClient>

  Manages multiple `remote administration connections`.
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `IContainer.Modifiable<E>, IContainer.Persistable<E>, IContainer.Persistence<E>`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addConnection(java.lang.String url)`
    `int` | `addConnections(java.util.Collection<java.lang.String> urls)`
    `CDOAdminClient` | `getConnection(java.lang.String url)`
    `CDOAdminClient[]` | `getConnections()`
    `java.util.List<java.lang.String>` | `getConnectionURLs()`
    `IManagedContainer` | `getContainer()`
    `boolean` | `removeConnection(CDOAdminClient connection)`

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

      `getElements, isEmpty`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Method Detail

    - #### getContainer

          IManagedContainer getContainer()

    - #### getConnections

          CDOAdminClient[] getConnections()

    - #### getConnectionURLs

          java.util.List<java.lang.String> getConnectionURLs()

    - #### getConnection

          CDOAdminClient getConnection(java.lang.String url)

    - #### addConnections

          int addConnections(java.util.Collection<java.lang.String> urls)

    - #### addConnection

          boolean addConnection(java.lang.String url)

    - #### removeConnection

          boolean removeConnection(CDOAdminClient connection)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html